package com.bjtdba.api.apiservice;

import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;

import java.util.Map;
@EnableFeignClients(clients = OrderService.class)
@FeignClient(name = "order-service",path = "/order_service")
public interface OrderService {

    @GetMapping("/orderService/ordesaa")
    public Object getredisvalu(@RequestParam("uid")   String uid);

    /**
     * 大仓推荐分享
     * @param map
     * @return
     */
//    order_service/recommend/share
    @PostMapping("/recommend/share")
    public Object share(@RequestBody Map<String,String> map);

    /**
     * 大仓推荐微信配置
     * @param map
     * @return
     */
    @PostMapping("recommend/wx_config")
    public  Object wx_config(@RequestBody Map<String,String> map);

    /**
     * 大仓推荐分类
     */
    @GetMapping("recommend/nologin/classify")
    public  Object classify();

    /**
     * 大仓商品列表
     */

    @GetMapping("recommend/nologin/da_cang_product_lst")
    public Object seckill(@RequestParam Map<String,String> pmap);

    /**
     * 大仓推荐详情
     * @param map
     * @return
     */
    @PostMapping("recommend/detail")
    public Object Detail(@RequestBody Map<String,String> map);

    /**
     * 大仓推荐列表
     * @return
     */
    @PostMapping("recommend/lists")
    public Object lsts();

    /**
     * 猜你喜欢查询list
     * @param pmap
     * @return
     */
    @GetMapping("recommend/lst")
    public Object lst(@RequestParam Map<String,String> pmap);

    /**
     * 店铺分类
     */

    @GetMapping("recommend/merchant/category/lst/{id}")
    public Object queryCategorylistMerid(@PathVariable Integer id);

}
